Name:           gnome-dictionary
Version:        40.0
Release:        2
Summary:        A dictionary application for GNOME
License:        GPL-3.0-or-later and LGPL-2.0-or-later and GFDL-1.1-only
URL:            https://wiki.gnome.org/Apps/Dictionary
Source0:        https://download.gnome.org/sources/%{name}/40/%{name}-%{version}.tar.xz
#https://github.com/GNOME/gnome-dictionary/commit/87c026cfe4acbcfc62d15950f88a71d8d9678c7e
Patch0:         Fix-test-dependencies-with-Meson-0.57.patch
#https://github.com/GNOME/gnome-dictionary/commit/cf3f8a67cd6f3059c555ed9cf0f5fba10abb7f68
Patch1:         drop-unused-argument-for-i18n.merge_file.patch

BuildRequires:  desktop-file-utils docbook-style-xsl gettext itstool libappstream-glib libxslt
BuildRequires:  meson pkgconfig(gobject-introspection-1.0) pkgconfig(gtk+-3.0)
Obsoletes:      gnome-utils <= 1:3.3 gnome-utils-libs <= 1:3.3 gnome-utils-devel <= 1:3.3
Obsoletes:      gnome-dictionary-devel < 3.26.0 gnome-dictionary-libs < 3.26.0

%description
GNOME Dictionary is a simple, clean, elegant application to look up words in
online dictionaries using the DICT protocol.

%package help
Summary:        Help package for gnome-dictionary

%description help
This package contains some man help files for gnome-dictionary.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING COPYING.docs COPYING.libs
%{_bindir}/gnome-dictionary
%{_datadir}/*
%exclude %{_datadir}/man*

%files help
%{_mandir}/man1/gnome-dictionary.1*

%changelog
* Tue Jul 26 2022 yaoxin <yaoxin30@h-partners.com> - 40.0-2
- License compliance rectification

* Mon Jun 20 2022 yaoxin <yaoxin30@h-partners.com> - 40.0-1
- Update to 40.0

* Wed Dec 11 2019 lingsheng <lingsheng@huawei.com> - 3.26.1-4
- Package init
